searchNodes=[{"type":"module","title":"AnsiToHTML","doc":"AnsiToHTML is a small library to convert ANSI Styling codes to HTML using phoenix_html . The library is not solely intended for use with Phoenix and can be easily used without it.","ref":"AnsiToHTML.html"},{"type":"function","title":"AnsiToHTML.generate_html/2","doc":"Generates a new HTML string based on the passed ANSI string. Returns String.t . Examples iex&gt; AnsiToHTML . generate_html ( inspect :hello , pretty : true , syntax_colors : [ atom : :green ] ) &quot;&lt;pre style= \\&quot; font-family: monospace; font-size: 12px; padding: 4px; background-color: black; color: white; \\&quot; &gt;&lt;span style= \\&quot; color: green; \\&quot; &gt;:hello&lt;/span&gt;&lt;/pre&gt;&quot;","ref":"AnsiToHTML.html#generate_html/2"},{"type":"function","title":"AnsiToHTML.generate_phoenix_html/2","doc":"Generates a new Phoenix HTML tag based on the passed ANSI string. Returns Phoenix.HTML.Tag.t . Examples iex&gt; AnsiToHTML . generate_phoenix_html ( inspect :hello , pretty : true , syntax_colors : [ atom : :green ] ) { :safe , [ 60 , &quot;pre&quot; , [ 32 , &quot;style&quot; , 61 , 34 , &quot;font-family: monospace; font-size: 12px; padding: 4px; background-color: black; color: white;&quot; , 34 ] , 62 , [ [ 60 , &quot;span&quot; , [ 32 , &quot;style&quot; , 61 , 34 , &quot;color: green;&quot; , 34 ] , 62 , [ &quot;:hello&quot; ] , 60 , 47 , &quot;span&quot; , 62 ] ] , 60 , 47 , &quot;pre&quot; , 62 ] }","ref":"AnsiToHTML.html#generate_phoenix_html/2"},{"type":"module","title":"AnsiToHTML.Theme","doc":"AnsiToHTML.Theme structs define how the ANSI should be converted to html tags. You can pass a custom theme to both AnsiToHTML.generate_html/2 and AnsiToHTML.generate_phoenix_html/2 as the second argument. Tags are matches against their ANSI code and converted to Phoenix.HTML.Tag.t . The expected pattern for a tag is a tuple of an atom representing the html tag, and a keyword list with it's html attributes. Examples iex&gt; % AnsiToHTML.Theme { name : &quot;My Theme&quot; , container : { :pre , [ class : &quot;container&quot; ] } , &quot;\e[4m&quot; : { :span , [ class : &quot;has-underline&quot; ] } } % AnsiToHTML.Theme { &quot;\e[1m&quot; : { :strong , [ ] } , &quot;\e[30m&quot; : { :span , [ style : &quot;color: black;&quot; ] } , &quot;\e[31m&quot; : { :span , [ style : &quot;color: red;&quot; ] } , &quot;\e[32m&quot; : { :span , [ style : &quot;color: green;&quot; ] } , &quot;\e[33m&quot; : { :span , [ style : &quot;color: yellow;&quot; ] } , &quot;\e[34m&quot; : { :span , [ style : &quot;color: blue;&quot; ] } , &quot;\e[35m&quot; : { :span , [ style : &quot;color: magenta;&quot; ] } , &quot;\e[36m&quot; : { :span , [ style : &quot;color: cyan;&quot; ] } , &quot;\e[37m&quot; : { :span , [ style : &quot;color: white;&quot; ] } , &quot;\e[3m&quot; : { :i , [ ] } , &quot;\e[40m&quot; : { :span , [ style : &quot;background-color: black;&quot; ] } , &quot;\e[41m&quot; : { :span , [ style : &quot;background-color: red;&quot; ] } , &quot;\e[42m&quot; : { :span , [ style : &quot;background-color: green;&quot; ] } , &quot;\e[43m&quot; : { :span , [ style : &quot;background-color: yellow;&quot; ] } , &quot;\e[44m&quot; : { :span , [ style : &quot;background-color: blue;&quot; ] } , &quot;\e[45m&quot; : { :span , [ style : &quot;background-color: magenta;&quot; ] } , &quot;\e[46m&quot; : { :span , [ style : &quot;background-color: cyan;&quot; ] } , &quot;\e[47m&quot; : { :span , [ style : &quot;background-color: white;&quot; ] } , &quot;\e[49m&quot; : { :span , [ style : &quot;background-color: black;&quot; ] } , &quot;\e[4m&quot; : { :span , [ class : &quot;has-underline&quot; ] } , &quot;\e[9m&quot; : { :span , [ style : &quot;text-decoration: line-through;&quot; ] } , container : { :pre , [ class : &quot;container&quot; ] } , name : &quot;My Theme&quot; }","ref":"AnsiToHTML.Theme.html"},{"type":"function","title":"AnsiToHTML.Theme.new/1","doc":"","ref":"AnsiToHTML.Theme.html#new/1"},{"type":"extras","title":"AnsiToHTML","doc":"Small library to convert ANSI Styling codes to HTML using phoenix_html . The library is not solely intended for use with Phoenix and can be easily used without it.","ref":"readme.html"},{"type":"extras","title":"AnsiToHTML - Installation","doc":"The package can be installed by adding ansi_to_html to your list of dependencies in mix.exs : def deps do [ { :ansi_to_html , &quot;~&gt; 0.5.2&quot; } ] end Why and how should I use this? I wrote this package so I could have all the nice things that Elixir's Kernel.inspect/2 does for my productivity, all from the comfort of my Phoenix.View . Generating a HTML String: This is useful if you're not using Phoenix : iex&gt; AnsiToHTML . generate_html ( &quot; \\e [34m[ \\e [0m \\e [32m:hello \\e [0m \\e [34m] \\e [0m&quot; ) &quot;&lt;pre&gt;&lt;span style= \\&quot; color: blue;color: green;color: blue; \\&quot; &gt;[:hello]&lt;/span&gt;&lt;/pre&gt;&quot; Generating Phoenix HTML Tags: This is useful if you actually are using Phoenix and want to render in your views: iex&gt; AnsiToHTML . generate_phoenix_html ( &quot; \\e [34m[ \\e [0m \\e [32m:hello \\e [0m \\e [34m] \\e [0m&quot; ) { :safe , [ 60 , &quot;pre&quot; , [ ] , 62 , [ [ 60 , &quot;span&quot; , [ [ 32 , &quot;style&quot; , 61 , 34 , &quot;color: blue;color: green;color: blue;&quot; , 34 ] ] , 62 , [ &quot;[&quot; , &quot;:hello&quot; , &quot;]&quot; ] , 60 , 47 , &quot;span&quot; , 62 ] ] , 60 , 47 , &quot;pre&quot; , 62 ] }","ref":"readme.html#installation"},{"type":"extras","title":"AnsiToHTML - Custom Themes","doc":"You can use the AnsiToHTML.Theme struct to map ANSI codes to html. The struct defaults to a &lt;pre&gt; tag containing common tags such as &lt;strong&gt; , &lt;i&gt; , &lt;u&gt; , or otherwise &lt;span&gt; tags with inline styles.","ref":"readme.html#custom-themes"},{"type":"extras","title":"AnsiToHTML - Phoenix View Helper","doc":"You can define a helper function in your view which uses AnsiToHTML to convert a pretty Kernel.inspect/2 to html: defmodule MyApp.Web do # ... def view do quote do # ... # See the docs on Inspect.Opts for more information # https://hexdocs.pm/elixir/Inspect.Opts.html @syntax_colors [ string : :green , map : :blue ] def pretty_inspect ( variable ) , do : AnsiToHTML . generate_phoenix_html inspect variable , pretty : true , syntax_colors : @syntax_colors end end # ... end Now you can use the helper function in your templates: &lt; % = pretty_inspect @conn % &gt; &lt; % = pretty_inspect @assigns % &gt;","ref":"readme.html#phoenix-view-helper"}]